# Button

A simple button.

### Props

* `title` (str) - button text
* `url` (str) _[optional]_ - where the button links to
* `external` (bool) _[optional]_ - opens the link in a new tab
* `theme` (str) _[optional]_ - a hashicorp-defined button theme
* `classes` (str) _[optional]_ - any additional classes needed on the button
* `ga_prefix` (str) _[optional]_ - a prefix to add the to GA event when clicked

> This component also will reflect any additional props you pass it to the top level, so you can attach things like `onClick` etc.

### Dependents

* hashi-hero
* hashi-logo-grid
